Description

Supportanfrage

Ich möchte einen möglichen Bug melden, und zwar...

Wenn man eine Session mit einem anderen Port als 8000 lauchen will, und danach den Property Editor auf macht, dann scheint so

aus, als wenn der Property Editor automatisch den Port auch übernommen hätte (Obwohl man in Tools-->ADTF Property Editor

nichts angepasst hat). Das gibt es aber das Problem, dass der Property Editor nichts anzeigt:
Wenn man aber in Tools-->ADTF Property Editor die Argumente für den Property Editor richtig anpasst wie hier angezeigt:

 clipboard-202202181316-mi7qz.png 

Und dann so wieder die Session mit Port 8001 launcht und dann den ADTF Property Editor, dann kriegt man den folgenden Fehler:

 clipboard-202202181317-u7min.png 

Es scheit so aus, als wenn die Argumente doppelt gesetzt wurden.

Wisst ihr was hier das Problem ist?

Lösung

Das ist ein Bug, der Property Editor muss sich ohne weiteres Zutun mit den default cesettings und Tools options auf die selektierte

Session connecten, egal auf welchen Port/Adresse sie läuft.

Ich habe ein Ticket angelegt:

[ACORE-11426] - Property Editor does not connect to running session launched different from default address

Als Workaround kannst du in der zwischenzeit den Property Editor Service verwenden.

History

#1 - 2022-02-21 07:41 - hidden

- Status changed from New to In Progress

#2 - 2022-02-21 15:45 - hidden

- File 16782_commandline_error.png added

- Topic set to ADTF::CE

Hallo,

Konnte nachgestellt werden.

Anscheinend wird beim Aufruf des Property Editors über die CE Menüleiste für den Parameter --url zweimal angewendet. Einmal die manuelle

Portangabe (Options->Tools->PropertyEditor) und der Parameter aus "Launch and enable remote connection". Das führt dann zur Fehlermeldung.
Das ist aber unabhängig vom connection Problem. Wird über "Launch and enable remote connection" ein anderer Port angegeben, kann keine

Verbindung hergestellt werden

Wir lassen das untersuchen

#5 - 2022-02-21 21:04 - hidden

Das nehme ich ab  ich stelle den Workflow nochmal nach. Grundsätzlich ist es so  dass die Tools auf die aktiv ausgewählte Session gestartet werden

sollen, ohne händische Anpassungen. Wenn keine Session läuft, dann sollen die Tools default gewählt werden. Ich spiele es nochmal durch was zu

tun ist und ob ein Fehler vorliegt.

#7 - 2022-02-22 08:19 - hidden

- Project changed from 30 to Public Support

- Subject changed from Property Editor doesn't work when using other port than 8000 to lauch to Property Editor doesn't work when using other port

than 8000 to launch

- Description updated

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Support Level changed from 2nd Level to 3rd Level

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-11426

Hallo Gustavo,

das ist ein Bug, der Property Editor muss sich ohne weiteres Zutun mit den default cesettings und Tools options auf die selektierte Session

connecten, egal auf welchen Port/Adresse sie läuft.

Ich habe ein Ticket angelegt:

[ACORE-11426] - Property Editor does not connect to running session launched different from default address

Als Workaround kannst du in der zwischenzeit den Property Editor Service verwenden.

#8 - 2022-02-22 09:04 - hidden

Hallo Florian,Hallo Michael

danke für eure Antworte.

Nur als Anmerkung: Wir haben bis jetzt nur mit dem Property Editor probiert. Vielleicht solltet ihr auch die anderen Tools testen, wenn ihr euch mit

dieser Problematik auseinandersetzt.

Grüße,

Gustavo

#9 - 2022-02-22 09:08 - hidden

Hallo Gustavo,

Wir haben bis jetzt nur mit dem Property Editor probiert. Vielleicht solltet ihr auch die anderen Tools testen, wenn ihr euch mit dieser Problematik

auseinandersetzt.

 Hab ich gleich mitgemacht, hat soweit alles funktioniert.

Was beim Property Editor hierbei anders läuft, sollte sich relativ schnell fixen lassen hoffentlich.

#10 - 2022-02-22 09:15 - hidden

Alles klar. Danke dir.

#11 - 2023-02-09 08:21 - hidden

- Status changed from To Be Closed to Closed
